RecomlyRecomlyRecomlyDocs
Recomly APIEndpointsAPI Keys

Delete API key

Revoke an API key.

DELETE /api/app/api-keys/{keyId}

Permanently revokes an API key. Any requests using the revoked key will immediately begin returning 401. Requires the admin role.


Request

See API Basics for required headers.

Path parameters

ParameterTypeDescription
keyIdstringThe ID of the API key to revoke (the portion before the : in the full key string).

Sample request

curl -X DELETE https://api.recomly.com/api/app/api-keys/rk_live_abc123 \
  -H "Authorization: Bearer rk_live_abc123:def456"

Sample response

Status: 200 OK

{
  "ok": true
}

Error responses

See API Basics for standard status codes and error response format.

StatusMeaning
403Caller does not have the admin role.

On this page

We use cookies

We use essential cookies to keep the site working, and optional analytics cookies to understand how it's used. Read our Privacy Policy.